%define name berry-service
%define version 0.05
%define release b1

Name:		%{name}
Summary:	BERRY Service Start
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}
#Requires:	Xdialog

BuildArchitectures: noarch


%description
Starts syslog server and traces content of /var/log/syslog.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/opt/berry/service
install -m 755 *.sh %{buildroot}/opt/berry/service
install -m 755 -d %{buildroot}/usr/share/applications
install -m 644 *.desktop %{buildroot}/usr/share/applications


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/service/*.sh
/usr/share/applications/*.desktop


##
## change log
##

%changelog
* Tue Feb 14 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Support rasp for restartx
* Wed May 18 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added samba.desktop
* Sat Nov 13 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Bug fixed for restartx, using "su -c" for restartx.desktop
* Mon Jul 5 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Added restartx
* Wed Jun 23 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
